"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.isMetadataRoute = isMetadataRoute;
exports.isStaticMetadataRoute = isStaticMetadataRoute;
var _path = _interopRequireDefault(require("path"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const regexMetadataRoutes = [
    /^robots(\.txt)?/,
    /^sitemap(\.xml)?/,
    /^favicon(\.ico)?/, 
];
const staticRegexMetadataRoutes = [
    /^robots\.txt/,
    /^sitemap\.xml/,
    /^favicon\.ico/, 
];
function isMetadataRoute(route) {
    // Remove the 'app/' or '/' prefix, only check the route name since they're only allowed in root app directory
    const baseName = route.replace(/^app\//, "").replace(/^\//, "").replace(/\/route$/, "");
    return !baseName.endsWith("/page") && regexMetadataRoutes.some((r)=>r.test(baseName));
}
function isStaticMetadataRoute(resourcePath) {
    const filename = _path.default.basename(resourcePath);
    return staticRegexMetadataRoutes.some((r)=>r.test(filename));
}

//# sourceMappingURL=is-metadata-route.js.map